On this page
No Headings
Use the /v1/oauth2/token endpoint to obtain an access token and pass it as a Bearer token in the Authorization header.
Client CredentialsToken URLhttps://api-m.sandbox.paypal.com/v1/oauth2/tokenInheaderScopes
readwriteNumber of records per page
Page number
Filter credit notes by external customer ID
Filter credit notes by invoice ID
Filter credit notes by status
"DRAFT" | "FINALIZED" | "VOIDED"Filter credit notes by credit status (e.g., available, consumed, voided)
"AVAILABLE" | "CONSUMED" | "VOIDED"Filter credit notes by refund status
"PENDING" | "SUCCEEDED" | "FAILED"Filter credit notes by reason
"DUPLICATED_CHARGE" | "PRODUCT_UNSATISFACTORY" | "ORDER_CHANGE" | "ORDER_CANCELLATION" | "FRAUDULENT_CHARGE" | "OTHER"Filter credit notes by ID
Filter credit notes by credit note number
Filter credit notes issued on or after this date (ISO 8601 format)
date-timeFilter credit notes issued on or before this date (ISO 8601 format)
date-timeFilter credit notes created on or after this date (ISO 8601 format)
date-timeFilter credit notes created on or before this date (ISO 8601 format)
date-timeFilter credit notes updated on or after this date (ISO 8601 format)
date-timeFilter credit notes updated on or before this date (ISO 8601 format)
date-timeapplication/json
application/json
application/json
curl -X GET "https://api-m.sandbox.paypal.com/v1/commerce/billing/credit-notes"{
"credit_notes": [
{
"id": "cn_01H2XT1G7N8E2JHJKBVPDS0TQD",
"billing_entity_code": "lex_corp",
"sequential_id": 3,
"number": "CN-2023-0001",
"invoice_id": "inv_01H2XT1G7N8E2JHJKBVPDS0TQD",
"invoice_number": "INV-2023-001",
"issuing_date": "2023-06-01",
"credit_status": "AVAILABLE",
"refund_status": "SUCCEEDED",
"reason": "ORDER_CANCELLATION",
"description": "Refund for cancelled subscription",
"total_amount": {
"value": 50,
"currency_code": "USD"
},
"credit_amount": {
"value": 25,
"currency_code": "USD"
},
"refund_amount": {
"value": 25,
"currency_code": "USD"
},
"balance_amount": {
"value": 25,
"currency_code": "USD"
},
"taxes_amount": {
"value": 0,
"currency_code": "USD"
},
"taxes_rate": 0.2,
"sub_total_excluding_taxes_amount": {
"value": 0,
"currency_code": "USD"
},
"created_at": "2023-05-10T14:32:18Z",
"updated_at": "2023-05-10T14:32:18Z"
}
],
"metadata": {
"total_count": 1,
"total_pages": 1,
"current_page": 1
}
}{
"name": "NOT_AUTHORIZED",
"message": "Authorization failed due to insufficient permissions.",
"debug_id": "565f78f101498",
"details": [
{
"issue": "PERMISSION_DENIED",
"description": "You do not have permission to access or perform operations on this resource."
}
]
}{
"name": "INTERNAL_SERVER_ERROR",
"message": "An internal server error has occurred.",
"debug_id": "90957fca61718"
}